Vector menu is duplicated

2017-05-28 11:24 AM - Romain Blanc

Status: Closed

Priority: Normal

Assignee:

Category: Translations and international

Affected QGIS version:2.18.9 Regression?: Yes

Operating System: W10x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24533

Description

In QGIS 2.18.8 and 2.18.9, the vector menu is shown twice (one after the Plugin menu and one after the Help menu). The second

contains the following tools: search, geoprocessing, geometry, analysis, data management.

It seems this bug is linked with the french language because the second Vector (Vecteur) is not translated in english when I change the

language of QGIS.

See screenshots and video attached.

Related issues:

Related to QGIS Application - Bug report # 15118: [Processing] Options dialog... Closed 2016-06-23

Related to QGIS Application - Bug report # 14535: fix duplicate entries in th... Closed 2016-03-20

History

#1 - 2017-05-28 11:28 AM - Romain Blanc

- File montage.jpg added

#2 - 2017-05-28 04:15 PM - Giovanni Manghi

- Category changed from GUI to Translations and international

#3 - 2017-05-28 04:18 PM - Jürgen Fischer

- Status changed from Open to Feedback

Do you have a local processing plugin (in you private .qgis2/python/plugins)?

#4 - 2017-05-28 04:34 PM - Romain Blanc

- File plugins.PNG added

No "processing" folder in my user directory .qgis2/python/plugins.

#5 - 2017-05-28 05:53 PM - Jürgen Fischer

- Related to Bug report #15118: [Processing] Options dialog remove vector menu entries added

#6 - 2017-05-28 05:55 PM - Jürgen Fischer

- Related to Bug report #14535: fix duplicate entries in the vector menu caused by ftools on version upgrade added

#7 - 2017-05-29 11:02 AM - Andre Joost
I experienced the same some time ago with the German locale: #15330

After the translation was fixed, I still had to remove .qgis2 from the registry (see #15118) and the user folder.

#8 - 2017-06-03 11:35 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Andre Joost wrote:

After the translation was fixed, I still had to remove .qgis2 from the registry (see #15118) and the user folder.

The pull request mentioned in that ticket was merged.  Use the "Reset to defaults" in the processing configuration dialog.

Files

qgis_fr.PNG 3.95 KB 2017-05-28 Romain Blanc

qgis_en.PNG 3.87 KB 2017-05-28 Romain Blanc

vecteur1.PNG 7.3 KB 2017-05-28 Romain Blanc

vecteur2.PNG 3.51 KB 2017-05-28 Romain Blanc

vector_twice.mp4 946 KB 2017-05-28 Romain Blanc

montage.jpg 141 KB 2017-05-28 Romain Blanc

plugins.PNG 5.65 KB 2017-05-28 Romain Blanc
